"Could not find external revdb for Device"

Interested adding externals/plugins from LiveCode and third parties to your LiveCode projects? This is the place to talk about them.

Moderators: heatherlaine, Klaus, FourthWorld, robinmiller, kevinmiller

Post Reply
swimitup
Posts: 5
Joined: Tue Aug 18, 2015 3:25 pm

"Could not find external revdb for Device"

Post by swimitup » Tue Nov 08, 2016 12:17 am

I get the "Could not find external revdb for Device" error message when I save my app to standalone, so I can test on my own iPhone - using the XCode Device Manager.
I'm using LC8.1.1 Indy and I am using the options in General tab "inclusions"/select inclusions for the standalone applications because it is quickier than the standard option (search for required inclusions when saving the standalone application).
I've also already changed to standard option and it shows me the same error message.
Within inclusions tab in "standalone application settings", the following externals are selected:
- header bar
- navigation bar
- svg icon
(these 3 are the only widgets i need for now)
- icon svg library
- json library
- animation/datagrid/geometry/internet/printing/table/xmlrpc
- mergJson
Within iOS and Android tab, standard options, nothing changed from LC regular options.
I've checked the LC8.1 package and the revdb.bundle external is there, inside the folder /contents/tools/externals
With the LC7.x versions, this message didn't not appear.
Please advise if you need some other information to get this done. XCode is 6.2, could not download 8.0 or 8.1 because of macos sierra, which i don't have.

LiveCode_Panos
Livecode Staff Member
Livecode Staff Member
Posts: 487
Joined: Fri Feb 06, 2015 4:03 pm

Re: "Could not find external revdb for Device"

Post by LiveCode_Panos » Tue Nov 08, 2016 10:33 am

Hi swimitup,

From your description, it sounds like you are on OS X 10.9 and use Xcode 6.2. If this is the case, you are affected by bug http://quality.livecode.com/show_bug.cgi?id=18416, which unfortunately is not likely to be fixed.

So if you are on OS X 10.9 and you want to build iOS standalones **for devices**, you will have to either upgrade to a newer OS X version (this is free), or use LC 8.1.0 and Xcode 6.2 (after applying the workaround described in previous posts in this bug report).

Best regards,
Panos
--

swimitup
Posts: 5
Joined: Tue Aug 18, 2015 3:25 pm

Re: "Could not find external revdb for Device"

Post by swimitup » Mon Nov 14, 2016 1:39 am

Thank you, Panos.
I've upgraded the macOs to 10.12.1.
And I downloaded the XCode 8.
First I couldn't even select the SDK inside Preferences/Mobile Support.
I've downloaded the XCode 7.3.
No selection.
Downloaded the XCode 7.2.1.
It is selectable, but the square is red.
Tried to generate the standalone, and it shows now the message:
"in order to perform device builds, you must have the ios sdk 10.0 configured"
Not sure what I did wrong, but it seems that LC 8.1.1 is not recognizing the XCode 8 and 7.3, although it keeps pushing towards the iOS 10.
What did I do wrong?
Attachments
Screen Shot 2016-11-13 at 19.36.35.jpg
Preferences/Mobile Support red square after selecting XCode 7.2
Screen Shot 2016-11-13 at 19.33.44.jpg
Error message while building standalone

swimitup
Posts: 5
Joined: Tue Aug 18, 2015 3:25 pm

Re: "Could not find external revdb for Device"

Post by swimitup » Mon Nov 14, 2016 10:28 pm

After a while, I take a detour and it seems to work although it's very annoying.

1. Using LC 8.1.2 RC1, developed using LC 8.1.1
2. Install XCode 8.1
3. Using macOS 10.12.1 (Sierra) - couldn't upgrade from 10.10 to 10.11, app store only gave me the 10.12 option
4. Select XCode 8.1 in Preferences/Mobile Support, BUT it must be on Applications folder only, no child folder (like Applications/XCode8.1/XCode.app)
5. Restart LC and/or Mac
6. Open your app in LC, and right away save as standalone
7. Success

Now I'm confronting the "Exception Type: EXC_BAD_ACCESS (SIGSEGV)" error in my test device, but here's the annoying part: if you try to generate again the standalone version, there will be a lot of error messages, basicly showing it can't find the inclusions. Restart LC and it will work.

Post Reply

Return to “Using Externals and Plugins”